import java.io.*;
import java.util.*;
import java.sql.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class Dodavanje extends HttpServlet implements SingleThreadModel{

String upit="";
String greska="";
String imeFilma="";
String reditelj="";
String glavniGlumac="";
String godDistribuiranja="";

int id=0;


Connection con=null;
Statement stmt=null;
ResultSet RS=null;
ResultSet RS1=null;

boolean prazno=false;

ServletContext sc =null;
RequestDispatcher rd=null;

public void doGet (HttpServletRequest req,  HttpServletResponse res)
	    throws ServletException, IOException
		  {
                      doPost(req,res);
}


public void doPost (HttpServletRequest req,  HttpServletResponse res)
	    throws ServletException, IOException{
    HttpSession  session=null;
    session=req.getSession(true);
    sc=getServletContext();
    
        if(!req.getParameter("imeFilma").equals("")) {
	                    imeFilma=req.getParameter("imeFilma");
			}
	 else{
		      prazno=true;
	              greska=greska+"Ime filma nije prosledjeno!<br>";
		}
        if(!req.getParameter("reditelj").equals("")) {
	                    reditelj=req.getParameter("reditelj");
			}
	 else{
		      prazno=true;
	              greska=greska+"Ime reditelja nije prosledjeno!<br>";
		}
	if(!req.getParameter("glavniGlumac").equals("")) {
	                    glavniGlumac=req.getParameter("glavniGlumac");
			}
	 else{
		      prazno=true;
	              greska=greska+"Ime glumca nije prosledjeno!<br>";
		}
        if(!req.getParameter("godDistribuiranja").equals("")) {
	                    godDistribuiranja=req.getParameter("godDistribuiranja");
			}
	 else{
		      prazno=true;
	              greska=greska+"Godina distribuiranja nije prosledjena!<br>";
		}
       
    try{
       session.setAttribute("imeFilma",imeFilma);
       session.setAttribute("reditelj",reditelj);
       session.setAttribute("glavniGlumac",glavniGlumac);
       session.setAttribute("godDistribuiranja",godDistribuiranja);
       
        poveziMe(req,res);
        zatvoriKonekciju();
        pozoviJSP(req,res);
    }catch (Exception e) {
		greska="Doslo je do greske! Pokusajte ponovo!";
		proslediGresku(greska,req,res);
		greska="";
    }
}//kraj do post

//pocinju ostale metode servleta

//pocinje metoda za povezivanje sa bazom podataka
public void poveziMe(HttpServletRequest req,  HttpServletResponse res){
    try
    {
        Class.forName("sun.jdbc.odbc.JdbcOdbcDriver").newInstance();
        String url="jdbc:odbc:Filmovi";
	con = DriverManager.getConnection(url,"","");
        stmt=con.createStatement();
        String query1 = "select imeFilma from film where (imeFilma='"+imeFilma+"')";
	RS=stmt.executeQuery(query1);
        if(RS.next()) {
            greska="Film pod tim imenom postoji,probajte ponovo!!!";
            proslediGresku(greska,req,res);
        }
        else {
       
        id++;
        try{
	String query2 = "insert into film values('"+id+"','"+imeFilma+"','"+reditelj+"','"+glavniGlumac+"','"+godDistribuiranja+"')";
	stmt.executeUpdate(query2);
        }
        catch (Exception e)
    {
	e.printStackTrace();
	greska="Konekcija sa bazom podataka nije uspostavljena!";
	proslediGresku(greska,req,res);
	greska="";
	//prosledjuje se greska jsp stranici koja vraca gresku...
  }
        }
    }
   catch (Exception e)
    {
	e.printStackTrace();
	greska="Konekcija sa bazom podataka nije uspostavljena!";
	proslediGresku(greska,req,res);
	greska="";
	//prosledjuje se greska jsp stranici koja vraca gresku...
  }
}

//pocinje metoda za zatvaranje konekcije sa bazom podataka
public void zatvoriKonekciju(){
    if (con!=null){
            try {
               con.close();
            }
            catch (SQLException e) {
               e.printStackTrace();
			greska="Greska prilikom zatvaranja konekcije sa bazom podataka!";
			//proslediGresku(greska,req,res);
			greska="";
            }
}
}
//zavrsava se metoda za zatvaranje konekcije sa bazom podataka


//pocinje metoda koja prosledjuje odgovarajucu gresku korisniku
public void proslediGresku(String g, HttpServletRequest req, HttpServletResponse res) {

HttpSession  session=null;

session=req.getSession(true);

    session.setAttribute("greska",greska);
        rd = sc.getRequestDispatcher("/Greska.jsp");
        try{
            rd.forward(req,res);
            greska="";
        }
        catch(Exception e){
        }
}
//zavrsava se metoda koja prosledjuje odgovarajucu gresku korisniku

//pocinje metoda koja poziva  JSP stranicu "Login"
public void pozoviJSP(HttpServletRequest req, HttpServletResponse res){
		try{
        rd = sc.getRequestDispatcher("/dodavanjeFilma.html");
        rd.forward(req,res);
        }
    catch(Exception e){
           greska="nije uspelo "+e;
           //proslediGresku(greska,req,res);
           greska="";
    }									}
}
//zavrsava se metoda koja poziva  JSP stranicu "Login"


