import java.io.*;
import java.util.*;
import java.sql.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class ListaPoGodDistribuiranja extends HttpServlet implements SingleThreadModel{

String greska="";
String godDistribuiranja="";

Connection con=null;
Statement stmt=null;
ResultSet RS=null;
ServletContext sc =null;
RequestDispatcher rd=null;

boolean prazno=false;

public void doGet (HttpServletRequest req,  HttpServletResponse res)
	    throws ServletException, IOException
		  {
                      doPost(req,res);
}
public void doPost (HttpServletRequest req,  HttpServletResponse res)
	    throws ServletException, IOException{
        HttpSession  session=null;
        session=req.getSession(true);        
        sc=getServletContext();
      
        if(!req.getParameter("godDistribuiranja").equals("")) {
                    godDistribuiranja=req.getParameter("godDistribuiranja");
		}
        else{
	      prazno=true;
              greska=greska+"Godina distribuiranja nije prosledjena!<br>";
	}
       try{
        session.setAttribute("godDistribuiranja", godDistribuiranja);
        poveziMe(req,res);
        zatvoriKonekciju();
        pozoviJSP(req,res);
    }catch (Exception e) {
		greska="Doslo je do greske! Pokusajte ponovo!";
		proslediGresku(greska,req,res);
		greska="";
    }
}
public void poveziMe(HttpServletRequest req,  HttpServletResponse res){
    HttpSession  session=null;
    session=req.getSession(true);
    try
    {
        Class.forName("sun.jdbc.odbc.JdbcOdbcDriver").newInstance();
        String url="jdbc:odbc:Filmovi";
	con = DriverManager.getConnection(url,"","");
        stmt=con.createStatement();
        
String query1 = "select * from film where (godDistribuiranja like '"+godDistribuiranja+"%')";
RS=stmt.executeQuery(query1);
       
        int broj_filma=0;
        Vector detalji=new Vector();
        
        while (RS.next()){
            
            broj_filma++;
            Vector film=new Vector();
            for(int i=2;i<6;i++){
            film.addElement(RS.getString(i));
        }
           detalji.addElement(film);
        }
	session.setAttribute("detalji",detalji);
	session.setAttribute("broj_filma",new Integer(broj_filma));
      
        if(broj_filma==0)
        {
            greska="Ne postoji film sa unetom godinom distribuiranja!!!";
            proslediGresku(greska,req,res);
        }
    }
   catch (Exception e)
    {
	e.printStackTrace();
	greska="Konekcija sa bazom podataka nije uspostavljena!";
	proslediGresku(greska,req,res);
	greska="";
	//prosledjuje se greska jsp stranici koja vraca gresku...
  }
}

//pocinje metoda za zatvaranje konekcije sa bazom podataka
public void zatvoriKonekciju(){
    if (con!=null){
            try {
               con.close();
            }
            catch (SQLException e) {
               e.printStackTrace();
			greska="Greska prilikom zatvaranja konekcije sa bazom podataka!";
			//proslediGresku(greska,req,res);
			greska="";
            }
}
}
//zavrsava se metoda za zatvaranje konekcije sa bazom podataka


//pocinje metoda koja prosledjuje odgovarajucu gresku korisniku
public void proslediGresku(String g, HttpServletRequest req, HttpServletResponse res) {

HttpSession  session=null;

session=req.getSession(true);

    session.setAttribute("greska",greska);
        rd = sc.getRequestDispatcher("/Greska.jsp");
        try{
            rd.forward(req,res);
            greska="";
        }
        catch(Exception e){
        }
}
//zavrsava se metoda koja prosledjuje odgovarajucu gresku korisniku

//pocinje metoda koja poziva  JSP stranicu "Login"
public void pozoviJSP(HttpServletRequest req, HttpServletResponse res){
		try{
        rd = sc.getRequestDispatcher("/listaPoGodini.jsp");
        rd.forward(req,res);
        }
    catch(Exception e){
           greska="nije uspelo "+e;
           proslediGresku(greska,req,res);

    }									}
}
//zavrsava se metoda koja poziva  JSP stranicu "Login"


